package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="BridgingMiniR45")
public class BridgingMiniR45 extends BaseTransaction{
	
	@Caption(value="PatientId")
	@Column(name="PatientId", length=15, nullable=true)
	private String patientId;
	
	@Caption(value="PatientName")
	@Column(name="PatientName", length=40, nullable=true)
	private String patientName;
	
	@Caption(value="DOB")
	@Column(name="DOB", length=8, nullable=true)
	private Date dob;

	@Caption(value="Sex")
	@Column(name="Sex", length=1, nullable=true)
	private String sex;
	
	@Caption(value="Address")
	@Column(name="Address", length=40, nullable=true)
	private String address;
	
	@Caption(value="Doctor")
	@Column(name="Doctor", length=40, nullable=true)
	private String doctor;
	
	@Caption(value="WardCode")
	@Column(name="WardCode", length=5, nullable=true)
	private String wardCode;
	
	@Caption(value="WardDescription")
	@Column(name="WardDescription", length=30, nullable=true)
	private String wardDescription;
	
	@Caption(value="RoomCode")
	@Column(name="RoomCode", length=5, nullable=true)
	private String roomCode;
	
	@Caption(value="TransactionCode")
	@Column(name="TransactionCode", length=15, nullable=true)
	private String transactionCode;
	
	@Caption(value="MedicationCode")
	@Column(name="MedicationCode", length=12, nullable=true)
	private String medicationCode;
	
	@Caption(value="MedicationName")
	@Column(name="MedicationName", length=40, nullable=true)
	private String medicationName;
	
	@Caption(value="DoseQty")
	@Column(name="DoseQty", length=6, nullable=true)
	private String doseQty;
	
	@Caption(value="UnitCode")
	@Column(name="UnitCode", length=8, nullable=true)
	private String unitCode;
	
	@Caption(value="UnitName")
	@Column(name="UnitName", length=10, nullable=true)
	private String unitName;
	
	@Caption(value="SignaCode")
	@Column(name="SignaCode", length=5, nullable=true)
	private String signaCode;
	
	@Caption(value="SignaDescription")
	@Column(name="SignaDescription", length=40, nullable=true)
	private String signaDescription;
	
	@Caption(value="Duration")
	@Column(name="Duration", length=15, nullable=true)
	private String duration;
	
	@Caption(value="ExpiredDate")
	@Column(name="ExpiredDate", length=10, nullable=true)
	private String expiredDate;

	public String getPatientId() {
		return patientId;
	}

	public void setPatientId(String patientId) {
		this.patientId = patientId;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public Date getDob() {
		return dob;
	}

	public void setDob(Date dob) {
		this.dob = dob;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getWardCode() {
		return wardCode;
	}

	public void setWardCode(String wardCode) {
		this.wardCode = wardCode;
	}

	public String getWardDescription() {
		return wardDescription;
	}

	public void setWardDescription(String wardDescription) {
		this.wardDescription = wardDescription;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public String getTransactionCode() {
		return transactionCode;
	}

	public void setTransactionCode(String transactionCode) {
		this.transactionCode = transactionCode;
	}

	public String getMedicationCode() {
		return medicationCode;
	}

	public void setMedicationCode(String medicationCode) {
		this.medicationCode = medicationCode;
	}

	public String getMedicationName() {
		return medicationName;
	}

	public void setMedicationName(String medicationName) {
		this.medicationName = medicationName;
	}

	public String getDoseQty() {
		return doseQty;
	}

	public void setDoseQty(String doseQty) {
		this.doseQty = doseQty;
	}

	public String getUnitCode() {
		return unitCode;
	}

	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getSignaCode() {
		return signaCode;
	}

	public void setSignaCode(String signaCode) {
		this.signaCode = signaCode;
	}

	public String getSignaDescription() {
		return signaDescription;
	}

	public void setSignaDescription(String signaDescription) {
		this.signaDescription = signaDescription;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public String getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}
	
}
